Package Details: receitanet 1.23-1

Git Clone URL: https://aur.archlinux.org/receitanet.git (read-only, click to copy)
Package Base: receitanet
Description: Programa Oficial da Receita para envio do IRPF
Upstream URL: http://www.receita.fazenda.gov.br
Licenses: custom
Submitter: None
Maintainer: marcio
Last Packager: marcio
Votes: 20
Popularity: 0.000000
First Submitted: 2012-04-17 03:23
Last Updated: 2020-03-02 23:06

Latest Comments

1 2 3 4 Next › Last »

fnogueira commented on 2020-03-09 01:06

Funciona o envio apenas com a versão 8!

marcio commented on 2020-03-07 16:22

Não consegui adicionar a mensagem. Quando envio para o git do aur ele diz que não foi possível interpretar as linhas que contem os "echo's". Como quem tem problema geralmente vem aqui os comentários já servem de documentação.

jsbach commented on 2020-03-06 17:35

@marcio Não sabemos se o programa funciona com versões superiores a 8 e inferiores a 13. Também não sabemos se a Receita Federal já resolveu o problema ou se o fará em breve. Assim, eu não colocaria a versão 8 como dependência. Eu apenas incluiria um comentário, se isso for possível, dizendo que alguns usuários tiveram problemas ao fazer o envio da declaração usando a versão 13, mas que tiveram sucesso quando usaram a versão 8.

LuxFerre commented on 2020-03-06 16:00

@marcio Eu é que agradeço pela ajuda e por manter os pacotes!

marcio commented on 2020-03-06 15:14

Então assim que eu chegar em casa eu faço. Obrigado.

LuxFerre commented on 2020-03-06 14:18

@marcio Acredito que seria o ideal, ao menos é certeza de que funciona com o java 8 (jdk8-openjdk, jre8-openjdk e jre8-openjdk-headless).

marcio commented on 2020-03-06 12:47

@luxferre vc acha viável fixar como dependência a última versão do Java que funciona?

LuxFerre commented on 2020-03-06 12:18

Resolvido o problema com o Java 8.

Quando troquei o java esqueci de selecionar a versão 8 como default (archlinux-java set java-8-openjdk), então o IRPF ainda estava usando a versão 13, feito isso o envio foi normal. Acho seguro dizer que essa app (e também o irpf2020) não funciona com a versão 13 do Java.

LuxFerre commented on 2020-03-05 21:15

Com a última versão o erro é o mesmo. Percebi que rodando no terminal ele mostra isso quando clico em enviar:

WARNING: An illegal reflective access operation has occurred

WARNING: Illegal reflective access by foxtrot.pumps.ConditionalEventPump$1 (file:/usr/share/irpf/lib/foxtrot.jar) to method java.awt.EventDispatchThread.pumpEvents(java.awt.Conditional)

WARNING: Please consider reporting this to the maintainers of foxtrot.pumps.ConditionalEventPump$1

WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations

WARNING: All illegal access operations will be denied in a future release

marcio commented on 2020-03-05 21:00

Bom, tem o arquivo e ele não o encontra. Muito estranho. Podem ser as permissões. já atualizei, pode testar.